/*
 * i18n.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include "i18n.h"
#include <stdio.h>

const tI18nPhrase Phrases[] =
{
   {
		"Take Snapshot", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Tallenna kuva", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Snapshot", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Snapshot", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Save snapshots to", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Tallenna kuvat hakemistoon", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Image format", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Tallennusmuoto", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Jpeg compression quality", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Jpeg-pakkauksen laatu", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Image width", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Kuvan leveys", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Image height", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Kuvan korkeus", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Snapshot saved", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Kuva tallennettu", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Error saving snapshot", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Kuvan tallennus eponnistui", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},
   {
		"Show in main menu", // English
		"", // Deutsch
		"", // Slovenski
		"", // Italiano
		"", // Nederlands
		"", // Portugus
		"", // Franais
		"", // Norsk
		"Nyt pvalikossa", // Suomi
		"", // Polski
		"", // Espaol
		"", // Ellinika
		"", // Svenska
		"", // Romaneste
		"", // Magyar
		"", // Catala
#if VDRVERSNUM > 10302
		"", // Russian
# if VDRVERSNUM > 10307
		"", // Croatian
# endif
#endif
	},

  { NULL }
};
